import { ReactNode } from "react";
import { VenomProvider } from "../types";
/**
 * Component for providing Venom provider values.
 * @param children - The children elements.
 * @returns The ProviderContext component.
 * @example
 * <ProviderContext>
 *   <App />
 * </ProviderContext>
 */
export declare const ProviderContext: ({ children }: {
    children: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
/**
 * Hook for accessing Venom provider values.
 * @returns The VenomProvider object.
 * @example
 * const { provider, setProvider } = useVenomProvider();
 * console.log("Current provider:", provider);
 * setProvider(newProvider);
 */
export declare const useVenomProvider: () => VenomProvider;
