import { ReadMessageArgs, ReadStatus } from "../../types";
/**
 * Custom hook for reading data from a smart contract.
 * @param readArgs - The arguments for reading the message.
 * @returns The status of the read operation.
 * @example
 * const readArgs = {
 *   address: "0x1234567890abcdef",
 *   abi: contractAbi,
 *   functionName: "getMessage",
 *   args?: []
 * };
 * const status = useReadMessage(readArgs);
 * console.log(status.data); // Retrieved data
 */
export declare const useReadMessage: (readArgs: ReadMessageArgs) => ReadStatus;
