import { SubscribeArgs, SubscribeStatus } from "../types";
/**
 * Hook for subscribing to an event.
 * @param subscribeArgs - The arguments for subscribing to the event.
 * @returns An object containing the subscription status.
 * @example
 * const { status } = useSubscribe({
 *   eventName: "Transfer",
 *   address: "0xabcdef1234567890",
 *   onDataCallback: (data) => {
 *     console.log("Received event data:", data);
 *   },
 * });
 */
export declare const useSubscribe: (subscribeArgs: SubscribeArgs) => {
    status: SubscribeStatus;
};
